<?php
/**
 * VIP
 * https://webenginecms.org/
 * 
 * @version 1.0.0
 * @author Lautaro Angelico <http://lautaroangelico.com/>
 * @copyright (c) 2013-2019 Lautaro Angelico, All Rights Reserved
 * @build 3d220b662522c313f5980cd685842c3d
 */

if(!isLoggedIn()) redirect(1,'login');

echo '<div class="page-title"><span>'.lang('vip_title',true).'</span></div>';

try {
	
	if(!check_value($_GET['type'])) throw new Exception(lang('vip_error_7'));
	if(!check_value($_GET['package'])) throw new Exception(lang('vip_error_7'));
	
	$VIP = new \Plugin\VIP\VIP();
	$VIP->setUsername($_SESSION['username']);
	$VIP->setVipType($_GET['type']);
	$VIP->setVipPackage($_GET['package']);
	$VIP->getVip();
	
} catch(Exception $ex) {
	message('error', $ex->getMessage());
}